#ifndef TEST_HH
#define TEST_HH

#include <cstddef>  // provides size_t

#include <vector>   // provides std::vector
#include <array>    // provides std::array


typedef float Real;

/**
 * Vector size.
 */
constexpr size_t n = 512;

/**
 * Array size.
 * Try d \in {3,4}   together with Real = float.
 * Try d \in {2,3,4} together with Real = double.
 */
constexpr size_t d = 4;

/**
 * Vector type.
 */
typedef std::vector<std::array<Real,d>> Vec;

/**
 * Procedure for componentwise array multiplication.
 */
void calc_i (const std::array<Real,d>& A,
             const std::array<Real,d>& B,
             std::array<Real,d>& C);


#endif // TEST_HH
